package cz.moneta.test.dsl.auto.smartauto;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.SmartAutoEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class SmartAuto {

    private final Harness harness;

    public SmartAuto(Harness harness) {
        this.harness = harness;
    }

    public LoginPage openLoginPage() {
        SmartAutoEndpoint smartAutoEndpoint = harness.getEndpoint(SmartAutoEndpoint.class);
        smartAutoEndpoint.openApplication();
        return Builders.newWebFlowBuilder(LoginPage.class, smartAutoEndpoint, harness);
    }
}
